Subject: [Emailcore] Ticket #20: G.7.13. Possible SEND, SAML, SOML Loose End

From: Alexey Melnikov <[email-masked]>
Date: Fri, 9 Jul 2021 16:38:56 +0100

Dear WG participants,

Ticket #20 is asking whether the document needs any further discussion 
of SEND/SAML/SOML other than in the Appendix F.6 quoted below:

F.6.  Sending versus Mailing

    In addition to specifying a mechanism for delivering messages to
    user's mailboxes, RFC 821 provided additional, optional, commands to
    deliver messages directly to the user's terminal screen.  These
    commands (SEND, SAML, SOML) were rarely implemented, and changes in
    workstation technology and the introduction of other protocols may
    have rendered them obsolete even where they are implemented.

    [[5321bis Editor's Note: does this need a stronger reference to 821,
    2821, and/or 5321?  Also, is anything else needed given the removal
    of these commands and comments about, e.g., their opening mail
    transaction sessions, from the mail body of the text?]]

    Clients SHOULD NOT provide SEND, SAML, or SOML as services. Servers
    MAY implement them.  If they are implemented by servers, the
    implementation model specified in RFC 821 MUST be used and the
    command names MUST be published in the response to the EHLO command.

My strawman is to remove the Editor's note above and close this ticket. 
Any further thoughts on this topic?

Best Regards,

Alexey

---

From: Ned Freed <[email-masked]>
Date: Sat, 10 Jul 2021 15:28:28 -0700 (PDT)

>     transaction sessions, from the mail body of the text?]]

I don't think anything strong is needed.

>     command names MUST be published in the response to the EHLO command.

This last paragraph omits the possibility of them being implemented but
not enabled. I also don't see any point to saying that servers MAY implement
them. How about:

    Clients SHOULD NOT provide SEND, SAML, or SOML as services. If
    a server implements them, the implementation model specified in RFC 821
    MUST be used and the names of any commands that are enabled MUST be
    published in the response to the EHLO command.

				Ned

---

From: Alessandro Vesely <[email-masked]>
Date: Tue, 13 Jul 2021 18:28:38 +0200

>     published in the response to the EHLO command.

I'm confused by the first sentence.  My understanding is that a client can use 
a given service if a server provides it.  Ho about this:

      Clients SHOULD NOT provide for using SEND, SAML, or SOML commands. If
      a server implements them, the implementation model specified in RFC 821
      MUST be used and the names of any commands that are enabled MUST be
      published in the response to the EHLO command.

Best
Ale
--